For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Webhooks
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • GETList knowledge bases
      • GETGet a knowledge base
      • POSTCreate a knowledge base
      • PUTUpdate a knowledge base
      • DELDelete a knowledge base
      • POSTAttach a knowledge base
      • POSTDetach a knowledge base
      • GETList knowledge base sources
      • POSTAdd a knowledge base source
      • PUTUpdate a knowledge base source
      • DELDelete a knowledge base source
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APIKnowledge Bases

List knowledge base sources

||View as Markdown|
GET
/knowledge_base/:knowledge_base_id/sources
GET
/v2/knowledge_base/:knowledge_base_id/sources
$curl -G https://api.synthflow.ai/v2/knowledge_base/173925305...388602947460/sources \
> -H "Authorization: Bearer <token>" \
> -d limit=10 \
> -d offset=0
1{
2 "status": "ok",
3 "response": {
4 "total_records": 3,
5 "knowledge_base_id": "173925305...388602947460",
6 "sources": [
7 {
8 "id": "173927798...08639398185900",
9 "type": "text",
10 "name": "Custom Knowledge",
11 "content_preview": "Our return policy allows customers to...",
12 "url": "",
13 "created_at": {},
14 "updated_at": {}
15 },
16 {
17 "id": "173925305...388602947464",
18 "type": "web",
19 "name": "Company FAQ",
20 "content_preview": "",
21 "url": "https://example.com/faq",
22 "created_at": {},
23 "updated_at": {}
24 },
25 {
26 "id": "173925305...388602947461",
27 "type": "pdf",
28 "name": "Product Documentation",
29 "content_preview": "",
30 "url": "https://example.com/documents/product-guide.pdf",
31 "created_at": {},
32 "updated_at": {}
33 }
34 ]
35 }
36}
Returns a paginated list of sources for the specified knowledge base.
Was this page helpful?
Previous

Add a knowledge base source

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

knowledge_base_idstringRequired
Knowledge base ID.

Query parameters

limitintegerOptionalDefaults to 20
Maximum number of sources to return per page.
offsetintegerOptionalDefaults to 0
Number of sources to skip before starting to return results.
namestringOptional
Search sources by name.

Response

200
statusstring
Whether the request was successful.
responseobject

Errors

400
Bad Request Error